CVE-2018-0294

A vulnerability in the write-erase feature of Cisco FXOS Software and Cisco NX-OS Software could allow an authenticated, local attacker to configure an unauthorized administrator account for an affected device. The vulnerability exists because the affected software does not properly delete sensitive files when certain CLI commands are used to clear the device configuration and reload a device. An attacker could exploit this vulnerability by logging into an affected device as an administrative user and configuring an unauthorized account for the device. The account would not require a password for authentication and would be accessible only via a Secure Shell (SSH) connection to the device. A successful exploit could allow the attacker to configure an unauthorized account that has administrative privileges, does not require a password for authentication, and does not appear in the running configuration or the audit logs for the affected device. This vulnerability affects Firepower 4100 Series Next-Generation Firewalls, Firepower 9300 Security Appliance, Nexus 1000V Series Switches, Nexus 1100 Series Cloud Services Platforms, Nexus 2000 Series Fabric Extenders, Nexus 3500 Platform Switches, Nexus 4000 Series Switches, Nexus 5500 Platform Switches, Nexus 5600 Platform Switches, Nexus 6000 Series Switches, UCS 6100 Series Fabric Interconnects, UCS 6200 Series Fabric Interconnects, UCS 6300 Series Fabric Interconnects. Cisco Bug IDs: CSCvd13993, CSCvd34845, CSCvd34857, CSCvd34862, CSCvd34879, CSCve35753.

Published : 2018-06-20 21:29 Updated : 2019-10-09 23:31

7.2
CVSS Score More info
Score 7.2 / 10
7.2
Vendor Product Version URI
Cisco Nx-os 4.1%282%29e1%281a%29 cpe:/o:cisco:nx-os:4.1%282%29e1%281a%29
Cisco Nx-os 5.2%281%29sv3%281.10%29 cpe:/o:cisco:nx-os:5.2%281%29sv3%281.10%29
Cisco Nx-os 7.0%283%29i2%284a%29 cpe:/o:cisco:nx-os:7.0%283%29i2%284a%29
Cisco Nx-os 7.3%282%29n1%280.354%29 cpe:/o:cisco:nx-os:7.3%282%29n1%280.354%29
Cisco Nx-os 8.8%283.5%29s0 cpe:/o:cisco:nx-os:8.8%283.5%29s0
  1. Cisco (1) Search CVE
    1. Nx-os (5) Search CVE
      1. 4.1%282%29e1%281a%29
      2. 5.2%281%29sv3%281.10%29
      3. 7.0%283%29i2%284a%29
      4. 7.3%282%29n1%280.354%29
      5. 8.8%283.5%29s0

CWE

There is no CWE for this CVE.

History of changes

Date Event
2019-10-03 00:03
2018-08-21 13:39
2018-06-24 01:29
2018-06-20 21:29

New CVE